#
# spec file for package gawk (Version 3.1.0)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tetex texinfo
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm te_ams te_latex tetex

Name:         gawk
License:      GPL, Other License(s), see package
Group:        Productivity/Text/Utilities
Provides:     awk gawk 
Autoreqprov:  on
Version:      3.1.0
Release:      335
Summary:      GNU awk
Source:       gawk-%{version}.tar.bz2
Source1:      igawk.sh
Patch:        gawk-%{version}.dif
Patch1:       gawk-%{version}-ofmt.patch
Patch2:       gawk-%{version}-index.patch
Patch3:       gawk-%{version}-rs-empty.patch
Patch4:       gawk-%{version}-memleak.patch
Patch5:       gawk-%{version}-minus.patch
Patch6:       gawk-%{version}-cloexec.patch
Patch7:       gawk-%{version}-memcorr.patch
Patch8:       gawk-%{version}-printf.patch
Patch9:       gawk-%{version}-overrun.patch
Patch10:      gawk-%{version}-getgroups.patch
Patch11:      gawk-%{version}-for.patch
Patch12:      gawk-%{version}-for2.patch
Patch13:      gawk-%{version}-resetup.patch
Patch14:      gawk-%{version}-strtonum.patch
Patch15:      gawk-%{version}-overrun2.patch
Patch18:      http://oss.software.ibm.com/developer/opensource/linux/patches/i18n/gawk-3.1.0-i18n-0.1.patch.gz
Patch19:      gawk-3.1.0-i18n-0.1-dfa.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
GNU gawk. It is upwardly compatible with the
System V Release 4 awk.  It is almost completely compliant
with POSIX 1003.2.

Authors:
--------
    David Trueman <david@cs.dal.ca>
    Arnold Robbins <arnold@skeeve.com>
    Michal Jaegermann <michal@gorte.phys.ualberta.ca>
    Scott Deifik <scottd@amgen.com>
    Darrel Hankerson <hankedr@mail.auburn.edu>
    Kai Uwe Rommel <rommel@ars.de>
    Pat Rankin <rankin@eql.caltech.edu>

SuSE series: a

%package doc
Summary:      Documentation for gawk
Group:        Productivity/Text/Utilities
Autoreqprov:  on
Provides:     gawkdoc
Obsoletes:    gawkdoc

%description doc
Documentation for gawk

Authors:
--------
    David Trueman <david@cs.dal.ca>
    Arnold Robbins <arnold@skeeve.com>
    Michal Jaegermann <michal@gorte.phys.ualberta.ca>
    Scott Deifik <scottd@amgen.com>
    Darrel Hankerson <hankedr@mail.auburn.edu>
    Kai Uwe Rommel <rommel@ars.de>
    Pat Rankin <rankin@eql.caltech.edu>

SuSE series: doc

%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10 -p1
%patch11
%patch12
%patch13
%patch14
%patch15
%patch18 -p1
%patch19
rm -f acinclude.m4 m4/gettext.m4 m4/largefile.m4 m4/lcmessage.m4
cp %{S:1} awklib/eg/prog/igawk.sh

%build
%{suse_update_config -f}
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --libexecdir=%{_libdir} \
	    --mandir=%{_mandir} --infodir=%{_infodir}
make
make check
cd doc
make dvi
make postscript
make awkcard.ps
gzip *.ps

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/bin
mv -f $RPM_BUILD_ROOT/usr/bin/awk $RPM_BUILD_ROOT/usr/bin/gawk \
      $RPM_BUILD_ROOT/bin
ln -sf ../../bin/awk ../../bin/gawk $RPM_BUILD_ROOT/usr/bin
ln -sf gawk.1 $RPM_BUILD_ROOT%{_mandir}/man1/awk.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING FUTURES LIMITATIONS NEWS POSIX.STD PROBLEMS
%doc README README_d
/bin/awk
/bin/gawk
/usr/bin/awk
/usr/bin/gawk
/usr/bin/igawk
/usr/bin/pgawk
%dir %{_libdir}/awk
%{_libdir}/awk/grcat
%{_libdir}/awk/pwcat
%dir /usr/share/awk
/usr/share/awk/*.awk
%doc %{_infodir}/*.info.gz
%doc %{_mandir}/man1/*.1.gz

%files doc
%doc doc/awkcard.ps.gz
%doc doc/gawk.dvi
%doc doc/gawk.ps.gz
%doc doc/gawk.1.ps.gz
%doc doc/igawk.1.ps.gz

%changelog -n gawk
* Mon Jan 19 2004 - schwab@suse.de
- Replace igawk with version from gawk-3.1.3 [#33932].
* Sun Mar 17 2002 - schwab@suse.de
- Fix buffer overflow.
* Mon Feb 18 2002 - schwab@suse.de
- Workaround spurious limitation in regex matcher.
- Fix bogus assertion in strtonum.
* Mon Jan 28 2002 - schwab@suse.de
- Add i18n patch.
* Fri Jan 11 2002 - schwab@suse.de
- Two more patches from the author:
  * Fix use of getgroups
  * Fix grammer in for statement.
* Fri Nov 30 2001 - schwab@suse.de
- Replace overrun patch with a better one.
- Fix provides.
* Mon Nov 26 2001 - schwab@suse.de
- Use regex from libc again.
* Wed Nov 07 2001 - schwab@suse.de
- Fix memory overrun.
* Mon Nov 05 2001 - schwab@suse.de
- Fix lint checking and off-by-one error for printf.
* Fri Oct 05 2001 - schwab@suse.de
- Fix for memory corruption bug from author.
* Tue Sep 25 2001 - schwab@suse.de
- Don't set close-on-exec on standard fd (from author).
* Thu Aug 23 2001 - schwab@suse.de
- Fix for unary minus operator from author.
* Wed Aug 08 2001 - schwab@suse.de
- Fix for memory leak from author.
* Wed Jul 25 2001 - schwab@suse.de
- Fix for empty RS and and blank input from author.
* Mon Jul 16 2001 - schwab@suse.de
- Fix for index(foo, "") from author.
* Wed Jun 13 2001 - schwab@suse.de
- Include fix for allocation bug from author.
* Mon Jun 04 2001 - schwab@suse.de
- Update to 3.1.0.
* Sun May 13 2001 - schwab@suse.de
- Use included regex.c (#7953).
* Wed May 09 2001 - cstein@suse.de
- repacked sources with bzip2.
* Thu Apr 12 2001 - schwab@suse.de
- Add patch for \<\> from author.
* Tue Mar 20 2001 - schwab@suse.de
- Add parser patch from author.
* Thu Mar 08 2001 - schwab@suse.de
- Add two patches from author.
* Tue Oct 24 2000 - schwab@suse.de
- Rename subpackage gawkdoc to gawk-doc.
* Thu Sep 14 2000 - schwab@suse.de
- Add FIELDWIDTHS bug fix from arnold@skeeve.com.
* Tue Aug 08 2000 - schwab@suse.de
- Update to 3.0.6.
* Fri Jun 30 2000 - schwab@suse.de
- Fix handling of array indexes.
* Tue Jun 27 2000 - schwab@suse.de
- Update to 3.0.5.
* Tue May 09 2000 - schwab@suse.de
- Fix symlinks.
* Mon May 08 2000 - schwab@suse.de
- Switch to BuildRoot.
- Move /usr/bin/{,g}awk to /bin.
* Fri Apr 07 2000 - bk@suse.de
- added suse autoconf update macro
* Tue Apr 04 2000 - schwab@suse.de
- Fix IGNORECASE bug.
* Fri Mar 31 2000 - schwab@suse.de
- Include more docs.
* Tue Feb 15 2000 - schwab@suse.de
- Fix parser bug.
* Tue Feb 15 2000 - schwab@suse.de
- Update config{guess,sub} to latest version.
* Tue Jan 18 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - schwab@suse.de
- specfile cleanup
- run "make check"
- use regex from libc
* Mon Jul 19 1999 - florian@suse.de
- update to gawk 3.0.4
* Thu Dec 10 1998 - florian@suse.de
- egcs miscompiles gawk, use gcc instead
* Fri Jul 17 1998 - werner@suse.de
- Use mktemp for igawk
* Wed May 13 1998 - ro@suse.de
- used dif from jurix-mirror (date Mar 7 1998)
- some of the patches from gnu.utils.bug are still buggy. applied some new
  patches from the author Aharon Robbins to field.c.
* Mon Mar 02 1998 - florian@suse.de
- use a complete new patchkit from various bug-reports
  to gnu.utils.bug
* Wed Feb 04 1998 - ro@suse.de
- build gawkdoc from same specfile
* Thu Oct 09 1997 - florian@suse.de
- prepare for autobuild
* Fri Jul 18 1997 - florian@suse.de
- add bug-fixes from gnu.utils.bug
- add several patches from gnu.utils.bug
- gawk should work with c-news again
* Tue May 20 1997 - florian@suse.de
- update to version 3.0.3
* Sun Apr 13 1997 - florian@suse.de
- add bug-fixes from gnu.utils.bugs
- do not use /usr/libexec anymore
* Wed Jan 22 1997 - florian@suse.de
- update to version 3.0.2
